<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php'); 
if (isset($_SESSION['usu_nombre']))
{
$vene_id=limpiar($_GET['vene_id']);
$can1=mysqli_query($con,"SELECT * FROM ventas_espera where vene_id='$vene_id'") or die(mysqli_error($con)); 
$dat=mysqli_fetch_array($can1);
$Cliente_clie_id=$dat['Cliente_clie_id'];
$vene_observacion=$dat['vene_observacion'];
$result = mysqli_num_rows($can1);
if($result == 0)
{
    echo '<div class="alert alert-danger alert-dismissable">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <strong>La lista de Articulos esta vacia </strong> 
    </div>';
}
else
{
    $sql=mysqli_query($con,"DELETE FROM seriales_temp WHERE usuario='$usu_id'") or die(mysqli_error($con));
    $sql=mysqli_query($con,"DELETE FROM venta_detalle_sabores_temp where usuario='$usu_id'") or die(mysqli_error($con));
    $sql=mysqli_query($con,"DELETE FROM venta_detalle_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));

    $sql=mysqli_query($con,"DELETE FROM venta_detalle_combo_sabores_temp where usuario='$usu_id'") or die(mysqli_error($con));
    $sql=mysqli_query($con,"DELETE FROM venta_detalle_combo_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));

    $sql=mysqli_query($con,"DELETE FROM cliente_venta_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));
    $sql=mysqli_query($con,"DELETE FROM retencion_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con)); 
    
    $registros=mysqli_query($con,"INSERT INTO cliente_venta_temp (cvt_clie_id,usuario,comentario,empresa)
             VALUES ('$Cliente_clie_id','$usu_id','$vene_observacion','$empresa')") or die(mysqli_error($con));       
}

//ARTICULOS
$can7=mysqli_query($con,"SELECT * FROM venta_espera_detalle where ventas_espera_vene_id='$vene_id' and empresa='$empresa'") or die(mysqli_error($con));  
while($dato=mysqli_fetch_array($can7))
{
    $vened_id=$dato['vened_id'];
    $art_art_id=$dato['art_art_id'];
    $vened_art_id=$dato['vened_art_id'];
    $vened_referencia=$dato['vened_referencia']; 
    $vened_nombre=$dato['vened_nombre'];           
    $vened_unidad=$dato['vened_unidad'];           
    $vened_x_cantidad=$dato['vened_x_cantidad'];           
    $vened_cantidad=$dato['vened_cantidad'];            
    $vened_precio=$dato['vened_precio'];
    $vened_tipo=$dato['vened_tipo'];
    $vened_iva=$dato['vened_iva'];
    $vened_desc=$dato['vened_desc'];

    $can=mysqli_query($con,"SELECT MAX(vent_id) as vent_id FROM venta_detalle_temp") or die(mysqli_error($con)); 
    $datov=mysqli_fetch_array($can);
    $vent_id=$datov['vent_id']+1;

    $can8=mysqli_query($con,"INSERT INTO venta_detalle_temp (vent_id,art_art_id,vent_art_id,vent_referencia,vent_nombre,vent_unidad,vent_x_cantidad,vent_cantidad,vent_iva,vent_desc,vent_precio,vent_tipo,usuario,empresa) 
    VALUES ('$vent_id','$art_art_id','$vened_art_id','$vened_referencia','$vened_nombre','$vened_unidad','$vened_x_cantidad','$vened_cantidad','$vened_iva','$vened_desc','$vened_precio','$vened_tipo','$usu_id','$empresa')") or die(mysqli_error($con));  

    
    //SABORES
    $can99=mysqli_query($con,"SELECT * FROM venta_espera_sabores_art where ved_id='$vened_id'") or die(mysqli_error($con));  
    while($dato9=mysqli_fetch_array($can99))
    {
        $sab_id=$dato9['sab_id'];
        $sab_nombre=$dato9['sab_nombre'];
        $art_id=$dato9['art_id'];

        $can88=mysqli_query($con,"INSERT INTO venta_detalle_sabores_temp (sab_id,sab_nombre,art_id,usuario,vend_id) 
                     VALUES ('$sab_id','$sab_nombre','$art_id','$usu_id','$vent_id')") or die(mysqli_error($con)); 
    }
    $sql=mysqli_query($con,"DELETE FROM venta_espera_sabores_art WHERE ved_id='$vened_id'") or die(mysqli_error($con));

    //SERIALES
    $can9=mysqli_query($con,"SELECT * FROM seriales_espera where vened_id='$vened_id'") or die(mysqli_error($con));  
    while($ser=mysqli_fetch_array($can9))
    {
        $sesp_codigo=$ser['sesp_codigo'];
        $can10=mysqli_query($con,"INSERT INTO seriales_temp (ser_codigo, usuario,venta_detalle_temp_vent_id) 
        VALUES ('$sesp_codigo','$usu_id','$vent_id')") or die(mysqli_error($con));  
    }
}




//COMBOS
$can7=mysqli_query($con,"SELECT * FROM venta_espera_combo where ventas_espera_vene_id='$vene_id' ") or die(mysqli_error($con));  
while($dato=mysqli_fetch_array($can7))
{
    $vec_id=$dato['vec_id'];
    $combo_id=$dato['combo_id'];
    $combo_cantidad=$dato['combo_cantidad'];
    $combo_nombre=$dato['combo_nombre']; 
    $combo_iva=$dato['combo_iva'];           
    $combo_desc=$dato['combo_desc'];           
    $combo_precio=$dato['combo_precio'];           

    $can=mysqli_query($con,"SELECT MAX(vdc_id) as vdc_id FROM venta_detalle_combo_temp") or die(mysqli_error($con)); 
    $datov=mysqli_fetch_array($can);
    $vdc_id=$datov['vdc_id']+1;

    $can8=mysqli_query($con,"INSERT INTO venta_detalle_combo_temp (vdc_id,combo_id,combo_cantidad,combo_nombre,combo_iva,combo_desc,combo_precio,usuario,empresa) 
    VALUES ('$vdc_id','$combo_id','$combo_cantidad','$combo_nombre','$combo_iva','$combo_desc','$combo_precio','$usu_id','$empresa')") or die(mysqli_error($con));  
    //SABORES
    $can99=mysqli_query($con,"SELECT * FROM venta_espera_sabores where vec_id='$vec_id'") or die(mysqli_error($con));  
    while($dato9=mysqli_fetch_array($can99))
    {
        $sab_id=$dato9['sab_id'];
        $sab_nombre=$dato9['sab_nombre'];
        $com_id=$dato9['com_id'];

        $can88=mysqli_query($con,"INSERT INTO  venta_detalle_combo_sabores_temp (sab_id,sab_nombre,com_id,usuario,vdc_id) 
                     VALUES ('$sab_id','$sab_nombre','$com_id','$usu_id','$vdc_id')") or die(mysqli_error($con)); 
    }

    $sql=mysqli_query($con,"DELETE FROM venta_espera_sabores WHERE vec_id='$vec_id'") or die(mysqli_error($con));
}


$borrar_sql=mysqli_query($con,"DELETE FROM seriales_espera WHERE vene_id='$vene_id'") or die(mysqli_error($con));
$borrar_sql=mysqli_query($con,"DELETE FROM venta_espera_detalle WHERE ventas_espera_vene_id='$vene_id'") or die(mysqli_error($con));
$borrar_sql=mysqli_query($con,"DELETE FROM venta_espera_combo WHERE ventas_espera_vene_id='$vene_id'") or die(mysqli_error($con));
$borrar_sql=mysqli_query($con,"DELETE FROM ventas_espera WHERE vene_id='$vene_id'") or die(mysqli_error($con));

}
else
{
    echo '<script>alert("primero debes Iniciar Cesion para ver esta pagina")</script>';
    echo '<script>location.href = "index.php";</script>';
}
?>